/**
 * 版权所有 ©2020 威海莱欧科技有限公司
 * 工程名：base02
 * 文件名：LogService.java
 * 创建日期：2020年12月23日 下午3:54:42
 * 作者：xmf
 */
package com.lion.service;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.lion.dao.LogDao;
import com.lion.util.Util;

/**
 * 类描述
 * @author xmf
 * @since 2020年12月23日
 */
@Service
public class LogService {
	@Autowired
	private LogDao dao;
	
	public Map<String,Object> getLog(String page,String rows,String startTime,String endTime,String text){
		int row=Integer.valueOf(rows);
		int start=(Integer.valueOf(page)-1)*row;
		List<Map<String,Object>> list=dao.getLog(start,row, startTime, endTime,text);
		int count=dao.getLogCount(startTime, endTime,text);
		Map<String,Object> map=Util.responseMap("true", list, count);
		int totalpages=count/row;
		if(count%row!=0){
			totalpages++;
		}
		map.put("currPage", page);
		map.put("totalpages",totalpages);
		return map;
	}
}
